## org.apache.http.impl.client
Class EntityEnclosingRequestWrapper

    java.lang.Object
      org.apache.http.message.AbstractHttpMessage
          org.apache.http.impl.client.RequestWrapper
              org.apache.http.impl.client.EntityEnclosingRequestWrapper

All Implemented Interfaces:
  HttpUriRequest, HttpEntityEnclosingRequest, HttpMessage, HttpRequest

    @NotThreadSafe
    public class EntityEnclosingRequestWrapper

extends RequestWrapper
implements HttpEntityEnclosingRequest

A wrapper class for `HttpEntityEnclosingRequest`s that can be used to change properties of the current request without modifying the original object.

This class is also capable of resetting the request headers to the state of the original request.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.message.AbstractHttpMessage
`headergroup, params`

Constructor Summary
`EntityEnclosingRequestWrapper(HttpEntityEnclosingRequest request)`

Method Summary
`boolean` `expectContinue()`
`HttpEntity` `getEntity()`
`boolean` `isRepeatable()`
`void` `setEntity(HttpEntity entity)`

Methods inherited from class org.apache.http.impl.client.RequestWrapper
`abort, getExecCount, getMethod, getOriginal, getProtocolVersion, getRequestLine, getURI, incrementExecCount, isAborted, resetHeaders, setMethod, setProtocolVersion, setURI`

Methods inherited from class org.apache.http.message.AbstractHttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.http.HttpRequest
`getRequestLine`

Methods inherited from interface org.apache.http.HttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Constructor Detail

### EntityEnclosingRequestWrapper

    public EntityEnclosingRequestWrapper(HttpEntityEnclosingRequest request)
                                  throws ProtocolException

Throws:
  `ProtocolException`

Method Detail

### getEntity

    public HttpEntity getEntity()

  Specified by:
    `getEntity` in interface `HttpEntityEnclosingRequest`

### setEntity

    public void setEntity(HttpEntity entity)

  Specified by:
    `setEntity` in interface `HttpEntityEnclosingRequest`

### expectContinue

    public boolean expectContinue()

  Specified by:
    `expectContinue` in interface `HttpEntityEnclosingRequest`

### isRepeatable

    public boolean isRepeatable()

  Overrides:
    `isRepeatable` in class `RequestWrapper`

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.